Bug 819949 - Yum update problem
Yum update problem
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 12:51 EDT by Martin Donald
Modified: 2014-01-21 18:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 16:45:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Donald 2012-05-08 12:51:30 EDT
Description of problem:
Cannot successfulyy complete yum update

Version-Release number of selected component (if applicable):
Linux localhost.localdomain 3.3.4-1.fc16.x86_64 #1 SMP Fri Apr 27 20:12:28 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Solid

Steps to Reproduce:
1.sudo yum update
2.
3.
  
Actual results:
/home/mhd: sudo yum update
[sudo] password for mhd: 
Loaded plugins: fastestmirror, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: linux.mirrors.es.net
 * rpmfusion-free: mirror.us.leaseweb.net
 * rpmfusion-free-updates: mirror.us.leaseweb.net
 * rpmfusion-nonfree: mirror.us.leaseweb.net
 * rpmfusion-nonfree-updates: mirror.us.leaseweb.net
 * updates: linux.mirrors.es.net
Resolving Dependencies
--> Running transaction check
---> Package gnome-settings-daemon.x86_64 0:3.2.2-2.fc16 will be updated
---> Package gnome-settings-daemon.x86_64 0:3.2.3-1.fc16 will be an update
---> Package kernel.x86_64 0:3.3.4-3.fc16 will be installed
---> Package kernel-devel.x86_64 0:3.3.4-3.fc16 will be installed
---> Package kernel-headers.x86_64 0:3.3.4-1.fc16 will be updated
---> Package kernel-headers.x86_64 0:3.3.4-3.fc16 will be an update
---> Package kernel-tools.x86_64 0:3.3.4-1.fc16 will be updated
---> Package kernel-tools.x86_64 0:3.3.4-3.fc16 will be an update
---> Package python.x86_64 0:2.7.2-5.2.fc16 will be updated
---> Package python.x86_64 0:2.7.3-1.fc16 will be an update
---> Package python-devel.x86_64 0:2.7.2-5.2.fc16 will be updated
---> Package python-devel.x86_64 0:2.7.3-1.fc16 will be an update
---> Package python-libs.x86_64 0:2.7.2-5.2.fc16 will be updated
---> Package python-libs.x86_64 0:2.7.3-1.fc16 will be an update
---> Package tkinter.x86_64 0:2.7.2-5.2.fc16 will be updated
---> Package tkinter.x86_64 0:2.7.3-1.fc16 will be an update
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:3.3.2-1.fc16 will be erased
---> Package kernel-devel.x86_64 0:3.3.2-1.fc16 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================
 Package                                 Arch                     Version                           Repository                  Size
=====================================================================================================================================
Installing:
 kernel                                  x86_64                   3.3.4-3.fc16                      updates                     26 M
 kernel-devel                            x86_64                   3.3.4-3.fc16                      updates                    7.4 M
Updating:
 gnome-settings-daemon                   x86_64                   3.2.3-1.fc16                      updates                    951 k
 kernel-headers                          x86_64                   3.3.4-3.fc16                      updates                    812 k
 kernel-tools                            x86_64                   3.3.4-3.fc16                      updates                    472 k
 python                                  x86_64                   2.7.3-1.fc16                      updates                     75 k
 python-devel                            x86_64                   2.7.3-1.fc16                      updates                    378 k
 python-libs                             x86_64                   2.7.3-1.fc16                      updates                    5.5 M
 tkinter                                 x86_64                   2.7.3-1.fc16                      updates                    304 k
Removing:
 kernel                                  x86_64                   3.3.2-1.fc16                      @updates                   121 M
 kernel-devel                            x86_64                   3.3.2-1.fc16                      @updates                    28 M

Transaction Summary
=====================================================================================================================================
Install  2 Packages
Upgrade  7 Packages
Remove   2 Packages

Total size: 42 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
ERROR with transaction check vs depsolve:
python(abi) = 2.6 is needed by (installed) system-config-display-2.2-1.fc12.x86_64
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
** Found 2 pre-existing rpmdb problem(s), 'yum check' output follows:
system-config-display-2.2-1.fc12.x86_64 has missing requires of libpython2.6.so.1.0()(64bit)
system-config-display-2.2-1.fc12.x86_64 has missing requires of python(abi) = ('0', '2.6', None)
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-05-08.09-42.x8dOnl.yumtx


Expected results:
Successful update

Additional info:
Comment 1 James Antill 2012-05-10 16:45:58 EDT
 As it says, there are pre-existing problems in the rpmdb ... if you fix those with remove/install/reinstall ... everything will work again.

Note You need to log in before you can comment on or make changes to this bug.